petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetVec

set the vector at which to compute residual, Jacobian and VI bounds, if the problem is nonlinear.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetVec(DM dm,Vec x)

Collective on DM

### Input Parameter

| dm | - the DM object
| x | - location to compute residual and Jacobian, if NULL is passed to those routines; will be NULL for linear problems.

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages